| API Docs for SAX and DOM |

Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# XMLDateTime Class Reference

`#include <XMLDateTime.hpp>`

Inheritance diagram for XMLDateTime

[legend]
Collaboration diagram for XMLDateTime:

[legend]
List of all members.

## Public Types

enum | { LESS_THAN = -1, EQUAL = 0, GREATER_THAN = 1, INDETERMINATE = 2 }
enum | valueIndex { CentYear = 0, Month, Day, Hour, Minute, Second, MiliSecond, utc, TOTAL_SIZE }
enum | utcType { UTC_UNKNOWN = 0, UTC_STD, UTC_POS, UTC_NEG }

## Public Methods

| XMLDateTime ()
| XMLDateTime (const XMLCh *const)
| ~XMLDateTime ()
void | setBuffer (const XMLCh *const)
| XMLDateTime (const XMLDateTime &)
XMLDateTime& | operator= (const XMLDateTime &)
virtual XMLCh* | toString ()const
| Return string representation of the decimal value. More...
virtual int | getSign ()const
| Returns the sign of this number. More...
void | parseDateTime ()
void | parseDate ()
void | parseTime ()
void | parseDay ()
void | parseMonth ()
void | parseYear ()
void | parseMonthDay ()
void | parseYearMonth ()
void | parseDuration ()

## Static Public Methods

int | compare (const XMLDateTime *const,const XMLDateTime *const)
int | compare (const XMLDateTime *const,const XMLDateTime *const,bool)
int | compareOrder (const XMLDateTime *const,const XMLDateTime *const)

## Member Enumeration Documentation

anonymous enum

Enumeration values:

  LESS_THAN |
  EQUAL |
  GREATER_THAN |
  INDETERMINATE |

enum XMLDateTime::utcType

Enumeration values:

  UTC_UNKNOWN |
  UTC_STD |
  UTC_POS |
  UTC_NEG |

enum XMLDateTime::valueIndex

Enumeration values:

  CentYear |
  Month |
  Day |
  Hour |
  Minute |
  Second |
  MiliSecond |
  utc |
  TOTAL_SIZE |

## Constructor & Destructor Documentation

XMLDateTime::XMLDateTime ( | )

XMLDateTime::XMLDateTime ( | const XMLCh * const )

XMLDateTime::~XMLDateTime ( | )

XMLDateTime::XMLDateTime ( | const XMLDateTime & )

## Member Function Documentation

int XMLDateTime::compare ( | const XMLDateTime * const,
| const XMLDateTime * const,
| bool )`[static]`

int XMLDateTime::compare ( | const XMLDateTime * const,
| const XMLDateTime * const )`[static]`

int XMLDateTime::compareOrder ( | const XMLDateTime * const,
| const XMLDateTime * const )`[static]`

virtual int XMLDateTime::getSign ( | ) const`[virtual]`

| Returns the sign of this number. -1 negative 0 zero 1 positive Reimplemented from XMLNumber.

XMLDateTime& XMLDateTime::operator= ( | const XMLDateTime & )

void XMLDateTime::parseDate ( | )

void XMLDateTime::parseDateTime ( | )

void XMLDateTime::parseDay ( | )

void XMLDateTime::parseDuration ( | )

void XMLDateTime::parseMonth ( | )

void XMLDateTime::parseMonthDay ( | )

void XMLDateTime::parseTime ( | )

void XMLDateTime::parseYear ( | )

void XMLDateTime::parseYearMonth ( | )

void XMLDateTime::setBuffer ( | const XMLCh * const )

virtual XMLCh* XMLDateTime::toString ( | ) const`[virtual]`

| Return string representation of the decimal value. A decimal point will be included as necessary, the caller of this method is responsible for the de-allocation of the memory. Reimplemented from XMLNumber.

The documentation for this class was generated from the following file:

- XMLDateTime.hpp

Copyright © 2000 The Apache Software Foundation. All Rights Reserved.